[Mondrian] FW: 'svn: This client is too old' error [was: Urgent help requested]

Julian Hyde jhyde at pentaho.com
Wed Sep 10 15:19:06 EDT 2008


Not directly relevant to mondrian developers, but FYI, if you are having
problems with svn and olap4j.
 
I had some problems pulling olap4j using subversion after (a) sourceforge
upgraded its server infrastructure including, possibly, new subversion
servers and (b) I upgraded to ubuntu 8.04 and (c) I upgraded to IntelliJ
IDEA 7.04 (not sure which, if any, of these is significant). The
instructions below solved the problem.
 
Julian
 


  _____  

From: Aaron Phillips [mailto:aphillips at pentaho.com] 
Sent: Wednesday, September 10, 2008 7:17 AM
To: mcasters at pentaho.org; dev.pentaho
Subject: RE: Urgent help requested



Matt,

I can answer this.  The svn ant task is complaining that the SVN
implementation it is using to do get the current revision of the repository
is older than the one used to checkout the project initially.
It turns out the build.xml has an ant target that will install SVNAnt for
you called "install-svnant" which is called as a dependency of the init
target.  You shouldn't need to bother with ubuntu ant packages.  In any case
here is the solution: you want to tell svnant to use the most up to date
implementation you have.  Implementations include:
* you native command line client
* svnkit
* javahl

If your SVN command line client is the latest (1.5) then your best bet is:
1. do an svn update to get the latest build.xml (i've added some parameters
for customizing svnant behavior)
2. add an override.properties to this project and set the following two
properties for your environment:
    svnant.use-javahl=false
    svnant.use-svnkit=false

This will effectively force svnant to use your command line client instead
of the libraries that ship with svnant which are a bit out of date.

Hope this helps.

Cheers,
Aaron


-----Original Message-----
From: Matt Casters [ <mailto:mcasters at pentaho.org>
mailto:mcasters at pentaho.org]
Sent: Wed 9/10/2008 9:47 AM
To: dev.pentaho
Subject: Re: Urgent help requested

I'm seeing another gem in pentaho-database/xul after "ant clean && ant" :

svn-revision:
      [svn] <Status> started ...
      [svn] svn: This client is too old to work with working copy
'/home/matt/svn/pentaho/pentaho-commons/pentaho-database'; please get a
newer Subversion client
      [svn] <Status> failed !

My svn client is at version 1.5.1.  While there is a 1.5.2 version out
there, I'm not so sure it's *that* old either.

-----------------------------------------------
svn, version 1.5.1 (r32289)
   compiled Sep  4 2008, 18:42:55

Copyright (C) 2000-2008 CollabNet.
Subversion is open source software, see  <http://subversion.tigris.org/>
http://subversion.tigris.org/
-----------------------------------------------



-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.pentaho.org/pipermail/mondrian/attachments/20080910/78a2e438/attachment.html 


More information about the Mondrian mailing list